<template>
  <!-- 提交户主信息完成后显示的页面 -->
  <view class="complete">
    <view class="info">
      <view class="image">
        <icon type="success" size="80" />
      </view>
      <view class="text">提交成功</view>
      <view class="desc">请耐心等待审核</view>
    </view>
    <view class="operate-btn">
      <button class="detail-btn" type="primary" @click="check">查看详情</button>
      <button class="back-btn" type="default" @click="goHome">返回首页</button>
    </view>
  </view>
</template>

<script>
const app = getApp();

export default {
  name: "complete",
  props: {},
  data() {
    return {};
  },
  onLoad() {},
  methods: {
    // 查看详情
    check() {
      uni.navigateTo({
        url: "/subPages/pages/door/submitDetail",
      });
    },
    // 返回首页
    goHome() {
      const pages = getCurrentPages();
      uni.navigateBack({
        delta: pages.length - 1,
      });
    },
  },
};
</script>

<style lang="scss" scoped>
.complete {
  .info {
    padding: 15px;
    background-color: #fff;
    .image {
      display: flex;
      justify-content: center;
      align-items: center;
      padding-bottom: 10px;
    }
    .text {
      text-align: center;
      font-size: 18px;
      font-weight: 900;
      color: #333;
      padding-bottom: 5px;
    }
    .desc {
      text-align: center;
      font-size: 14px;
      font-weight: 400;
      color: #999;
      padding-bottom: 5px;
    }
  }
  .operate-btn {
    display: flex;
    justify-content: space-around;
    margin-top: 20px;
    .detail-btn {
      background-color: #3a78f5;
    }
  }
}
</style>
